Subject: bug#20966: 25.0.50; `button-at': (wrong-type-argument integer-or-marker-p nil), and *Backtrace* broken

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 12:47:03 -0800 (GMT-08:00)

> > Double regression, it seems.  Perhaps this has been fixed since this
> > build, but I cannot find a Windows binary that is more recent, so I
> > can't get beyond this.
> >
> > 1. Non-nil debug-on-error gives a _completely empty *Backtrace* buffer_,
> > except for the first line, which says "Debugger entered--Lisp error:
> > (args-out-of-range 20324)".  I've never seen that before, but I get it
> > consistently with this build.
> >
> > 2. So I tried `M-x debug-on-entry describe-function-1', to see what
> > went wrong.  Here's a backtrace, from using `describe-function':
> >
> > Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p
> nil)
> > * get-char-property(nil button)
> > * button-at(nil)
> > * help-xref-button(1 help-function-def icicle-highlight-input-
> noncompletion=
> >  "d:/usr/drew/drews-lisp-20/icicles-fn.el")
> 
> Do you have a recipe to reproduce this bug?

No, but I don't see this anymore, so I will close the bug.